using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace EX1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            if (txtPassword.PasswordChar == '*')
            {
                txtPassword.PasswordChar = '\u0000';
                txtVerifyPass.PasswordChar = (char)0;
            }
            else
            {
                txtPassword.PasswordChar = '*';
                txtVerifyPass.PasswordChar = '*';
            }
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            string errorTtitle = "خطا در ورود اطلاعات";
            txtUserName.Text.Trim();
            if (txtUserName.Text.Length == 0)
            {
                MessageBox.Show("لطفا نام کاربری را وارد کنید", errorTtitle, MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }
            txtPassword.Text.Trim();
            if (txtPassword.Text.Length == 0)
            {
                MessageBox.Show("لطفا رمز عبور را وارد کنید", errorTtitle, MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }
            txtVerifyPass.Text.Trim();
            if (txtVerifyPass.Text.Length == 0)
            {
                MessageBox.Show("لطفا تکراررمز عبور را وارد کنید", errorTtitle, MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }
            if (txtVerifyPass.Text != txtPassword.Text)
            {
                MessageBox.Show("کلمه عبور باید با تکرار آن برابر باشد ", errorTtitle, MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }
            string textData = txtUserName.Text + "." + txtPassword.Text;
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                {
                    System.IO.File.AppendAllText(saveFileDialog1.FileName, textData + "\r\n");
                    MessageBox.Show("اطلاعات با موفقیت در فایل ذخیره گردید", "ثبت اطلاعات", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    btnClear.PerformClick();

                }
            }
        }

        private void btnClear_Click(object sender, EventArgs e)
        {
            txtUserName.Text = "";
            txtPassword.Text="";
            txtVerifyPass.Text="";
        }
    }
}
